Skip to main content
GET
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
cells
/
{cell_id}
Get Cell
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/cells/{cell_id} \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "cell": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sheet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "row_index": 123,
    "display_value": "<string>",
    "value": "<unknown>",
    "error": "<string>",
    "input_hash": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "request_metrics": {
      "request_count": 123,
      "request_ids": [
        123
      ],
      "latency_ms": 123,
      "price": 123,
      "input_tokens": 123,
      "output_tokens": 123,
      "trace_ids": [
        "<string>"
      ]
    }
  }
}
Retrieve a single cell by ID, including its current status, display value, and structured value. Cell statuses: completed, stale, running, queued, error, cancelled.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required
sheet_id
string<uuid>
required
cell_id
string<uuid>
required

Response

Cell detail

success
boolean
cell
object

A single cell at the intersection of a column and a row.